tigase.auth.credentials.entries

## Class ScramCredentialsEntry.Decoder

- java.lang.Object
- - tigase.auth.credentials.entries.ScramCredentialsEntry.Decoder

- All Implemented Interfaces:
    Credentials.Decoder
  Direct Known Subclasses:
    ScramSha1CredentialsEntry.Decoder, ScramSha256CredentialsEntry.Decoder, ScramSha512CredentialsEntry.Decoder
  Enclosing class:
    ScramCredentialsEntry

      public static class ScramCredentialsEntry.Decoder
      extends Object
      implements Credentials.Decoder

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `Decoder()`
    `protected` | `Decoder(String algorithm)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Credentials.Entry` | `decode(BareJID user, String value)` Decode password stored in database to more suitable form.
    `String` | `getName()` Name of mechanism for which decoder works
    `protected Credentials.Entry` | `newInstance(byte[] salt, int iterations, byte[] saltedPassword)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Decoder

          public Decoder()

    - #### Decoder

          protected Decoder(String algorithm)

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `Credentials.Decoder`
      Name of mechanism for which decoder works
      Specified by:
        `getName` in interface `Credentials.Decoder`
      Returns:
        name of mechanism for which decoder works

    - #### decode

          public Credentials.Entry decode(BareJID user,
                                          String value)

      Description copied from interface: `Credentials.Decoder`
      Decode password stored in database to more suitable form.
      Specified by:
        `decode` in interface `Credentials.Decoder`
      Returns:
        password stored in database in more suitable form

    - #### newInstance

          protected Credentials.Entry newInstance(byte[] salt,
                                                  int iterations,
                                                  byte[] saltedPassword)

Copyright © 2004–2021 "Tigase, Inc.". All rights reserved.